Subject: bonding: sysfs patch broke module renaming

From: Patrick McHardy <[email-masked]>
Date: Fri, 19 Jan 2007 14:33:07 +0100

The sysfs patch broke using multiple instances of the bonding module
through module renaming (modprobe -o). In recent kernels it fails
with -EEXIST when trying to add the bonding_masters file for the
second time, in older kernels (where sysfs_add_file didn't check
for duplicates) it will crash when unloading the modules.

I don't see a good way to fix it, can someone please look into this?